import styled from "@emotion/styled";
import { tokens, constants } from "../../Combobox.tokens";
export var Wrapper = /*#__PURE__*/ styled("div", {
    target: "ehh69uc0",
    label: "Wrapper"
})("position:", function(param) {
    var sticky = param.sticky;
    return sticky ? 'sticky' : 'static';
}, ";z-index:10;top:0;display:flex;flex-direction:column;background:var(", constants.background, ");margin-bottom:", function(param) {
    var variant = param.variant;
    return "var(".concat(variant === 'tight' ? tokens.dividerMarginBottomTight : tokens.dividerMarginBottom, ")");
}, ";border-top-left-radius:calc(var(", tokens.borderRadius, ") - 0.125rem - var(", tokens.dropdownBorderWidth, ",0rem));border-top-right-radius:calc(var(", tokens.borderRadius, ") - 0.125rem - var(", tokens.dropdownBorderWidth, ",0rem));");
export var DividerWrapper = /*#__PURE__*/ styled("div", {
    target: "ehh69uc1",
    label: "DividerWrapper"
})("background:var(", constants.background, ");");
export var Divider = /*#__PURE__*/ styled("div", {
    target: "ehh69uc2",
    label: "Divider"
})("height:0.0625rem;margin-top:", function(param) {
    var variant = param.variant;
    return "var(".concat(variant === 'tight' ? tokens.dividerMarginTopTight : tokens.dividerMarginTop, ")");
}, ";margin-right:var(", tokens.dividerMarginRight, ");margin-left:var(", tokens.dividerMarginLeft, ");background:var(", tokens.dividerColor, ");");
